<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8F633CC3-9861-47A7-AF7B-CA32778C6232}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>PXP.Crawler.API.Plugins</RootNamespace>
    <AssemblyName>PXP.Crawler.API.Plugins</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\PXP.Crawler\bin\Debug\Plugins\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>..\PXP.Crawler\bin\x86\Debug\Plugins\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DevExpress.Data.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.Printing.v14.1.Core, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.Sparkline.v14.1.Core, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    <Reference Include="DevExpress.Utils.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraEditors.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraLayout.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.Linq" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Printing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Events\ChangeBooleanValue.cs" />
    <Compile Include="Events\ChangeStringNode.cs" />
    <Compile Include="Events\ChangeValueNode.cs" />
    <Compile Include="Net\Chrome\ChromeElement.cs" />
    <Compile Include="Net\Chrome\ChromeElementGetChildrenNode.cs" />
    <Compile Include="Net\Chrome\ChromeElementGetAttribute.cs" />
    <Compile Include="Net\Chrome\ChromeElementNodeBase.cs" />
    <Compile Include="Net\Chrome\ChromeElementSelectorNode.cs" />
    <Compile Include="Net\Chrome\ChromeJavascriptNode.cs" />
    <Compile Include="Net\Chrome\ChromeNode.cs" />
    <Compile Include="Net\Chrome\Controls\ChromeControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Net\Chrome\Controls\ChromeControl.Designer.cs">
      <DependentUpon>ChromeControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Net\Chrome\ChromeElementSetAttribute.cs" />
    <Compile Include="Operators\AddStringsNode.cs" />
    <Compile Include="Operators\AddIntNode.cs" />
    <Compile Include="Operators\LogicalNodes.cs" />
    <Compile Include="Operators\CompareStringsNode.cs" />
    <Compile Include="Operators\CompareValuesNodeBase.cs" />
    <Compile Include="Operators\ValueOperatorNodeBase.cs" />
    <Compile Include="Operators\ValuesOperatorNodeBase.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Utils\AlertNode.cs" />
    <Compile Include="Utils\LogNode.cs" />
    <Compile Include="Values\ButtonNode.cs" />
    <Compile Include="Events\ChangeNodeBase.cs" />
    <Compile Include="Values\Controls\StringEditUserControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Values\Controls\StringEditUserControl.Designer.cs">
      <DependentUpon>StringEditUserControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Values\Lists\GetElementNode.cs" />
    <Compile Include="Values\Lists\SetElementNode.cs" />
    <Compile Include="Values\StringNode.cs" />
    <Compile Include="Values\StringNodeBase.cs" />
    <Compile Include="Values\SwitchNodeBase.cs" />
    <Compile Include="Values\SwitchStringNode.cs" />
    <Compile Include="Values\TextNodeBase.cs" />
    <Compile Include="Utils\ToggleNode.cs" />
    <Compile Include="Values\AsStringNode.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\PXP.Crawler.API\PXP.Crawler.API.csproj">
      <Project>{5d974cb2-6403-4d75-8630-9e7c87ecfde8}</Project>
      <Name>PXP.Crawler.API</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\Skybound.GeckoFX.src.v1.9.1.0\src\Skybound.Gecko\Skybound.Gecko.csproj">
      <Project>{877d1a24-2d5e-4c46-a933-fcf11ea0403b}</Project>
      <Name>Skybound.Gecko</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\chrome.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Net\Chrome\Controls\ChromeControl.resx">
      <DependentUpon>ChromeControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\licenses.licx" />
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Values\Controls\StringEditUserControl.resx">
      <DependentUpon>StringEditUserControl.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\tb_32_expand_3.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>